Foreman - Bug #2649

repoclosure: Fedora 18 devel/test packages
06/11/2013 06:30 AM - Dominic Cleal

Status: Closed

Priority: High

Assignee: Dominic Cleal

Category: Packaging

Target version: 1.2.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

The devel/test packages in the Fedora 18 build are failing with a repoclosure issue. If we're going to build them (noting that we don't
for EL6 with SCL), then the dependencies need sorting.

+ ./repoclosure.sh yum_fl18.conf http://koji.katello.org/releases/yum/foreman-nightly/Fedora/18/x86
_64/ -1 fl8-base -1 fl8-updates -1 fl8-epel
Reading in repository metadata - please wait....
Not using downloaded repomd.xml because it is older than what we have:
Current : Mon Jun 10 23:49:59 2013
Downloaded: Sat Jun 8 16:51:28 2013
Checking Dependencies
Repos looked at: 3
f18-base
fl8-updates
undertest-yum_f£18
Num Packages in Repos: 49515
package: foreman-devel-1.2.9999-4.201306102242gitef3al33.fcl8.noarch from undertest-yum_f18
unresolved deps:
rubygem (single_test)
rubygem (rack-mini-profiler)
foreman-test = 0:1.2.9999-4.201306102242gitef3al133.£fc18
foreman-assets = 0:1.2.9999-4.201306102242gitef3al133.£fcl8

repoclosure can be re-run through Jenkins here: http://ci.theforeman.org/job/packaqging_repoclosure/

Associated revisions

Revision 63e9d258 - 06/17/2013 05:01 AM - Lukas Zapletal
fixes #2649 - adding missing devel deps

Also sorting lines using vim :sort u

Revision 54125104 - 06/17/2013 11:22 AM - Dominic Cleal

fixes #2649 - asset dependency versions, missing test dependencies
Revision 306c6e6e - 06/17/2013 12:32 PM - Lukas Zapletal
fixes #2649 - adding missing devel deps

Also sorting lines using vim :sort u
(cherry picked from commit 63e9d258a31964ccd6410a6cddb5b576ae1ab3c2)

Revision 4¢33851a - 06/17/2013 12:34 PM - Dominic Cleal

fixes #2649 - asset dependency versions, missing test dependencies
(cherry picked from commit 54125f045c98734ff0a9d6321296bcbbb11bd664)

Conflicts:
http://ci.theforeman.org/job/packaging_repoclosure/

foreman.spec

History

#1 - 06/13/2013 08:05 AM - Lukas Zapletal
- Status changed from New to Assigned

- Assignee set to Lukas Zapletal

On the way...

#2 - 06/14/2013 06:00 AM - Lukas Zapletal

foreman-assets and foreman-test missing dependencies:
Packages to be only tagged:

rubygem-coffee-rails
rubygem-jquery-rails
rubygem-jquery-ui-rails
rubygem-quiet_assets
rubygem-sass-rails
rubygem-spice-htmi5-rails
rubygem-therubyracer
rubygem-uglifier
rubygem-flot-rails

Packages that needs built for Fedora (and tagged):
rubygem-mocha

rubygem-shoulda (can be deleted from SPEC - not used anymore)
rubygem-maruku

Packages that needs built for RHEL6/Fedora (and tagged):
rubygem-rr

We also need to review bundler vs rpm spec! Creating new task.
#3 - 06/17/2013 05:17 AM - Lukas Zapletal

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset 63e9d258a31964ccd6410a6cddb5b576ae1ab3c2.

#4 - 06/17/2013 09:49 AM - Dominic Cleal
- Status changed from Closed to Assigned
- Assignee changed from Lukas Zapletal to Dominic Cleal

- % Done changed from 100 to 50

More repoclosure failures, including now on EL6 after doing this:

package: foreman-assets-1.2.9999-4.201306171032git63e9d25.fcl8.noarch from undertest-yum_£f18
unresolved deps:

rubygem (sass-rails) < 0:3.2.4
rubygem (jquery-rails) = 0:2.0.3
rubygem (coffee-rails) < 0:3.2.2

(http://ci.theforeman.org/job/packaging_repoclosure/63/console)

package: foreman-assets-1.2.9999-4.201306171032git63e9d25.el6.noarch from undertest-yum_el6
unresolved deps:
rubyl93-rubygem(sass-rails) < 0:
rubyl93-rubygem (jquery-rails) =
rubyl93-rubygem(coffee-rails) <
package: rubyl93-rubygem-maruku-0.6.0-9.el6.noarch from undertest-yum_el6
unresolved deps:
rubyl93-rubygem(syntax) >= 0:1.0.0
package: rubyl93-rubygem-mocha-0.12.1-2.el6.noarch from undertest-yum_el6
unresolved deps:
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/63e9d258a31964ccd6410a6cddb5b576ae1ab3c2
http://ci.theforeman.org/job/packaging_repoclosure/63/console

rubyl93-rubygem (metaclass) < 0:0.1
rubyl93-rubygem (metaclass) >= 0:0.0.1

(http://ci.theforeman.org/job/packaging_repoclosure/64/console)

#5 - 06/17/2013 11:23 AM - Dominic Cleal
- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/726

#6 - 06/17/2013 12:17 PM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 50 to 100

Applied in changeset 54125f045¢98734ff{0a9d6321296bcbbb11bd664.
